Bio::MAGETAB::DataMatrix(3)

NAME
Bio::MAGETAB::DataMatrix - MAGE-TAB data matrix class

SYNOPSIS
 use Bio::MAGETAB::DataMatrix;

DESCRIPTION
This class describes a particular type of data file known as a data matrix. The format of these data matrices is precisely defined, such that columns represent quantitation types applied to nodes of interest within the SDRF (e.g. scanned intensity values), and rows represent design elements (e.g. probes). See the Data class for superclass methods, the DataFile class for the generic data file class, and the MAGE-TAB specification for more information on data matrices.

ATTRIBUTES

rowIdentifierType (optional)
    The type of identifier used for each matrix row. This will typically be Reporter, Composite Element, Term Source or Coordinate. This is primarily used to record whatever is claimed by the original data matrix file heading, which may be used to validate the matrixRow DesignElements subsequent to the parsing step. However, given that this is redundant information this attribute may be dropped in a later version of the model (data type: String).

matrixColumns (optional)
    A list of MatrixColumn objects which map the columns of the data matrix to quantitation types and SDRF nodes. Note that this list may be unordered, and that the MatrixColumn objects themselves have a columnNumber attribute which defines column ordering (data type: Bio::MAGETAB::MatrixColumn).

matrixRows (optional)
    A list of MatrixRow objects which map the rows of the data matrix to design elements. Note that this list may be unordered, and that the MatrixRow objects themselves have a rowNumber attribute which defines row ordering (data type: Bio::MAGETAB::MatrixRow).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::Data

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).